## visad
Class IntegerNDSet

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Set
                  visad.SimpleSet
                      visad.SampledSet
                          visad.GriddedSet
                              visad.LinearNDSet
                                  visad.IntegerNDSet

All Implemented Interfaces:
  Cloneable, Data, GriddedSetIface, IntegerSet, LinearSet, SampledSetIface, Serializable, SetIface, SimpleSetIface, Thing

public class IntegerNDSet
extends LinearNDSet
implements IntegerSet

IntegerNDSet represents a finite set of samples of R^n at an integer lattice based at the origin.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary

Fields inherited from class visad.LinearNDSet
`L`

Fields inherited from class visad.GriddedSet
`EPS, Lengths, Pos`

Fields inherited from class visad.SampledSet
`Hi, Low, Samples`

Fields inherited from class visad.SimpleSet
`ManifoldDimension`

Fields inherited from class visad.Set
`DomainCoordinateSystem, DomainDimension, hashCode, hashCodeSet, Length, SetErrors, SetUnits`

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`IntegerNDSet(int[] lengths)` an N-D set with null errors and generic type
`IntegerNDSet(MathType type, int[] lengths)`
`IntegerNDSet(MathType type, int[] lengths, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors)` construct an N-dimensional set with values in the cross product of {0, 1, ..., lengths[i]-1} for i=0, ..., lengths[lengths.length-1]; coordinate_system and units must be compatible with defaults for type, or may be null; errors may be null
`IntegerNDSet(MathType type, Integer1DSet[] sets)`
`IntegerNDSet(MathType type, Integer1DSet[] sets, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors)` construct an N-dimensional set with values in the cross product of {0, 1, ..., lengths[i]-1} for i=0, ..., lengths[lengths.length-1]; coordinate_system and units must be compatible with defaults for type, or may be null; errors may be null

Method Summary
`Object` `cloneButType(MathType type)` Return a clone of this object with a new MathType.
`static GriddedSet` `create(MathType type, int[] lengths)` Abreviated factory method for creating the proper integer set (Integer1DSet, Integer2DSet, etc.).
`static GriddedSet` `create(MathType type, int[] lengths, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors)` General factory method for creating the proper integer set (Integer1DSet, Integer2DSet, etc.).
`String` `longString(String pre)` Extended version of the toString() method.

Methods inherited from class visad.LinearNDSet
`create, create, equals, get_linear1d_array, get_linear1d_array, get_linear1d_array, getFirsts, getLasts, getLinear1DComponent, getSamples, gridToValue, hashCode, indexToValue, isMissing, linear1d_array_units, main, units_array_linear1d, valueToGrid`

Methods inherited from class visad.GriddedSet
`create, create, create, create, getLength, getLengths, getNeighbors, getNeighbors, getWedge, makeSpatial, valueToIndex, valueToInterp`

Methods inherited from class visad.SampledSet
`clone, computeRanges, computeRanges, cram_missing, cram_samples, getHi, getLow, getNeighbors, getSamples, init_samples, init_samples, make1DGeometry, make3DGeometry, makePointGeometry, setGeometryArray, setGeometryArray`

Methods inherited from class visad.SimpleSet
`getManifoldDimension, setAnimationSampling`

Methods inherited from class visad.Set

`__getitem__, __len__, addEqualsCache, addNotEqualsCache, adjustType, copyDoubles, copyFloats, doubleToFloat, doubleToIndex, equalUnitAndCS, floatToDouble, getCoordinateSystem, getDimension, getDimension, getDoubles, getDoubles, getLength, getSetErrors, getSetUnits, indexToDouble, longString, make2DGeometry, makeIsoLines, makeIsoSurface, merge1DSets, testEqualsCache, testNotEqualsCache, unary, unitAndCSHashCode`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference, addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.SampledSetIface
`getHi, getLow`

Methods inherited from interface visad.SetIface
`cram_missing, doubleToIndex, equalUnitAndCS, getCoordinateSystem, getDimension, getDoubles, getDoubles, getLength, getManifoldDimension, getNeighbors, getSamples, getSetErrors, getSetUnits, indexToDouble, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, merge1DSets`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Constructor Detail

### IntegerNDSet

    public IntegerNDSet(int[] lengths)
                 throws VisADException

  an N-D set with null errors and generic type

### IntegerNDSet

    public IntegerNDSet(MathType type,
                        int[] lengths)
                 throws VisADException

### IntegerNDSet

    public IntegerNDSet(MathType type,
                        int[] lengths,
                        CoordinateSystem coord_sys,
                        Unit[] units,
                        ErrorEstimate[] errors)
                 throws VisADException

  construct an N-dimensional set with values in the cross product of {0, 1, ..., lengths[i]-1} for i=0, ..., lengths[lengths.length-1]; coordinate_system and units must be compatible with defaults for type, or may be null; errors may be null

### IntegerNDSet

    public IntegerNDSet(MathType type,
                        Integer1DSet[] sets)
                 throws VisADException

### IntegerNDSet

    public IntegerNDSet(MathType type,
                        Integer1DSet[] sets,
                        CoordinateSystem coord_sys,
                        Unit[] units,
                        ErrorEstimate[] errors)
                 throws VisADException

  construct an N-dimensional set with values in the cross product of {0, 1, ..., lengths[i]-1} for i=0, ..., lengths[lengths.length-1]; coordinate_system and units must be compatible with defaults for type, or may be null; errors may be null

Method Detail

### create

    public static GriddedSet create(MathType type,
                                    int[] lengths)
                             throws VisADException

  Abreviated factory method for creating the proper integer set (Integer1DSet, Integer2DSet, etc.).

  Throws:
    `VisADException`

### create

    public static GriddedSet create(MathType type,
                                    int[] lengths,
                                    CoordinateSystem coord_sys,
                                    Unit[] units,
                                    ErrorEstimate[] errors)
                             throws VisADException

  General factory method for creating the proper integer set (Integer1DSet, Integer2DSet, etc.).

  Throws:
    `VisADException`

### cloneButType

    public Object cloneButType(MathType type)
                        throws VisADException

  Description copied from class: `LinearNDSet`
  Return a clone of this object with a new MathType.

  Specified by:
    `cloneButType` in interface `SetIface`
  Overrides:
    `cloneButType` in class `LinearNDSet`
  Parameters:
    `type` - new MathType.
  Returns:
    new LinearNDSet with `type`.
  Throws:
    `VisADException` - if `type` is not compatible with MathType of component Linear1DSets.

### longString

    public String longString(String pre)
                      throws VisADException

  Description copied from class: `LinearNDSet`
  Extended version of the toString() method.

  Specified by:
    `longString` in interface `Data`
  Overrides:
    `longString` in class `LinearNDSet`
  Parameters:
    `pre` - prefix for string.
  Returns:
    wordy string describing this LinearNDSet.
  Throws:
    `VisADException`